WordPress.org

Ready to get started?Download WordPress

Forums

Widgets broken in 2.2 (8 posts)

  1. Matt Wiebe
    Member
    Posted 7 years ago #

    I just installed 2.2 today, and I can't drag and drop on the widgets page. Every time I get the following js error in firebug:

    [Exception... "'[object Object]' when calling method: [nsIDOMEventListener::handleEvent]"  nsresult: "0x8057001c (NS_ERROR_XPC_JS_THREW_JS_OBJECT)"  location: "<unknown>"  data: no]
    
    Line 0

    Any help would be much appreciated.

  2. MichaelH
    Member
    Posted 7 years ago #

    Related trac ticket just for continuity:
    http://trac.wordpress.org/ticket/4272

  3. David Trower
    Member
    Posted 7 years ago #

    mattwiebe,

    I was having this same problem where I couldn't drag and drop widgets and I looked in the error console and firebug in Firefox and saw three errors on the widgets page.

    I was the one that filed the trac ticket (ticket #4272).

    Take a look in your wp-includes/js folder. You should see 4 folders and nine js files inside this folder. The four folders should be called crop, jquery, scriptaculous, and tinymce. Take a look in the scriptaculous folder. On my original download (which was downloaded within minutes of 2.2 being released) there was only one file inside this folder, a MIT-LICENSE file. There should be 9 js files in this folder with that MIT-LICENSE file. If you find that there are no js files inside the scriptaculous folder, thand you need to go to http://www.wordpress.org and download a new copy of WP 2.2 and see if that zip contains the js files. If so, upload all the files of WP 2.2 into your folder and then refresh your page and see if that solves your problem. It did for me. I have listed the ticket at trac.wordpress.org as resolved. However, if you find that you have all the files, then you might need to login to the trac system (using your wordpress.org forums username and password) and go to ticket 4272 and reopen the ticket.

  4. alexguzun
    Member
    Posted 7 years ago #

    I have another issue.

    WAMP+FF2 = I can drag-and-place widgets into Sidebar Arrangement, but can't remove them by dragging them back Available Widgets (they are not sticking in there).
    I'm using FF all the time, but this time i wanted (don't know how) to test this bug with IE7, and it works - i can drag them back.

    Any one with the same issue?

  5. Matt Wiebe
    Member
    Posted 7 years ago #

    I've re-opened the trac ticket, because I'm still getting the same error, using both FF 2.0.0.3 and IE7. I've done the following:

    • checked my scriptaculous folder and verified that all files were intact (they were)
    • re-uploaded the entire wp2.2 release
    • checked to make sure my chmod setting were allowing reading (they are)

    This is the case both on my blog and on my local xampp installation.

  6. Matt Wiebe
    Member
    Posted 7 years ago #

    This has been resolved as a conflict with a plugin. See the trac ticket linked above for more info.

  7. axelsegebrecht
    Member
    Posted 7 years ago #

    Sorry guys, not working for me either. Checked files, other plugs, etc. != joy

    GET
    /wp-content/plugins/silaspartners/flickr/admin-options-load.php?view=albums&rndval=1179868634089
    (4196ms)tw-sack.js (line 186)
    
    GET
    /wp-content/plugins/silaspartners/flickr/admin-options-load.php?view=groups&rndval=1179868634119
    (1553ms)tw-sack.js (line 186)
    
    Prototype is not defined
    [Break on this error] linear:Prototype.K,
    effects.js (line 147)
    
    Class is not defined
    [Break on this error] var Draggable = Class.create();
    dragdrop.js (line 224)
    
    $ is not defined
    resetDroppableHeights("sidebar-1")
    widgets.php (line 161)
    
    resetDroppableHeights()widgets.php (line 161)
    
    updateAll()widgets.php (line 227)
    
    wpOnload()widgets.php (line 10)
    
    [Break on this error]
    cols.map(function(o) {var c = $(o).childNodes.length; if ( c > max ) max = c;}...
    widgets.php (line 161)
    
    Sortable has no properties
    [Break on this error] Sortable.create("palette",
    widgets.php (line 313)
    
    Event.observe is not a function
    [Break on this error] Event.observe(window, 'resize', resetPaletteHeight);
    widgets.php (line 249)

    Thanks in advance :-)

    PS: IMHO for usability reasons this should work even without JavaScript being activated!

  8. treehousetim
    Member
    Posted 7 years ago #

    I'm getting this error on:
    php version 4.3.11
    fresh upload of freshly downloaded wordpress files with default theme with no plugins installed
    wp 2.2

    in Firefox 2.0.0.4, using firebug, I see the following errors:

    Prototype is not defined: effects.js line 147
    class is not defined: dragdrop line 224
    $ is not defined widgets.php line 115
    Sortable has no properties: widgets.php line 268
    Event.observe is not a function: widgets.php line 203

    I can't figure out what's going on with this.
    This blog was an older version that was upgraded to 2.2
    I have 2.2 running on a different server and it works fine there.

    Very puzzling - please post if you figure it out.

Topic Closed

This topic has been closed to new replies.

About this Topic